Get a folder structure Run in API Explorer
Ask AI
Query parameters
-
How many levels of subfolders to return, between 1 and 10. Every level is returned when this is left out. It is ignored when searching by name. Circles and the other members of a circle only appear within the first three levels, so load at least three levels before loading more with children_only.
-
Start the folder structure at the requested folder instead of the root folder of its documentable. Use it to load the next levels of a folder the structure stopped at. It never crosses between client and circle folders.
-
Only return the branches of the folder structure that lead to folders whose name contains this.
GET
/api/v1/folder/{folder_uuid}/tree
curl \
--request GET 'https://api.plannrcrm.com/api/v1/folder/6ff8f7f6-1eb3-3525-be4a-3932c805afed/tree' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"max_depth": 2,
"children_only": false,
"filter": {
"name": "architecto"
}
}'
Request examples
{
"max_depth": 2,
"children_only": false,
"filter": {
"name": "architecto"
}
}
Response examples (200)
{
"uuid": "30583457-8838-42f1-954d-389e355a4e8e",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": [
{
"uuid": "c161aa5d-597d-4d9e-90c2-41e9c753288d",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"name": "Gareth Thompson",
"write": true
}
],
"folders_count": 5,
"folders": [
{
"uuid": "d654c25f-ff74-4cf4-82ab-9f3a90f13fe5",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e9d2bdaa-9eb8-41bd-a5c2-ebe89c4bf108",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "8ace5e91-91fa-4080-a2ca-f757f71b48f4",
"created_at": "2026-10-27T15:44:19+00:00",
"original_created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"uploaded_at": "2026-10-27T15:44:19+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-27T15:44:19+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/728c4c3c-f1d7-429c-99e4-e765e6ef93ac/download",
"preview_url": "https://api.plannrcrm.com/file/ce8aa696-4d51-4a26-860f-bcd1b890c280/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"files_count": 8,
"files": [
{
"uuid": "98e15c30-24ab-464a-92eb-f18bba226b14",
"created_at": "2026-10-27T15:44:12+00:00",
"original_created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"uploaded_at": "2026-10-27T15:44:12+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-27T15:44:12+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/f0de6d24-de1b-4a1b-8e32-76dd702fd788/download",
"preview_url": "https://api.plannrcrm.com/file/d25df5cc-6b03-47a1-a79b-9071d4992f85/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "5d9b3e0d-f947-4a0d-94b1-f71ad0ca0d5c"
},
"firm": {
"uuid": "c34e39d6-b8b3-47ab-a2e1-4989626570e4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "a03322be-d7aa-4abd-b873-6ae503ace2ab",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "60fa4ac5-c7da-4322-8857-f84d517e6edc",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
],
"parents": [
{
"uuid": "947c0924-2aba-41a1-8fcc-2941bcafcf7c",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e9d2bdaa-9eb8-41bd-a5c2-ebe89c4bf108",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "8ace5e91-91fa-4080-a2ca-f757f71b48f4",
"created_at": "2026-10-27T15:44:19+00:00",
"original_created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"uploaded_at": "2026-10-27T15:44:19+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-27T15:44:19+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/728c4c3c-f1d7-429c-99e4-e765e6ef93ac/download",
"preview_url": "https://api.plannrcrm.com/file/ce8aa696-4d51-4a26-860f-bcd1b890c280/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"ancestors": [
{
"uuid": "d1db84e3-777d-4af2-bd9b-9f2fa574bbb1",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e9d2bdaa-9eb8-41bd-a5c2-ebe89c4bf108",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "8ace5e91-91fa-4080-a2ca-f757f71b48f4",
"created_at": "2026-10-27T15:44:19+00:00",
"original_created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"uploaded_at": "2026-10-27T15:44:19+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-27T15:44:19+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/728c4c3c-f1d7-429c-99e4-e765e6ef93ac/download",
"preview_url": "https://api.plannrcrm.com/file/ce8aa696-4d51-4a26-860f-bcd1b890c280/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"children": [
{
"uuid": "82f74e1a-ae3f-4c60-b810-44e81550f00f",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"participants": {
"uuid": "e9d2bdaa-9eb8-41bd-a5c2-ebe89c4bf108",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Gareth Thompson",
"write": true
},
"folders_count": 5,
"folders": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"files_count": 8,
"files": {
"uuid": "8ace5e91-91fa-4080-a2ca-f757f71b48f4",
"created_at": "2026-10-27T15:44:19+00:00",
"original_created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"uploaded_at": "2026-10-27T15:44:19+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-27T15:44:19+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/728c4c3c-f1d7-429c-99e4-e765e6ef93ac/download",
"preview_url": "https://api.plannrcrm.com/file/ce8aa696-4d51-4a26-860f-bcd1b890c280/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"parents": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"ancestors": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"children": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"depth": 5,
"owned": false
}
],
"depth": 5,
"owned": false
}